Reinvesting dividends

Investors holding Equities or Mutual Funds often have dividends re-invested into the original position. This can be automated assuming the customer has previously agreed to a Dividend Reinvestment program.

Enabling Dividend Reinvestment

Step 1: Providing the disclosures

Before enrolling customers in Dividend Reinvestment, partners must present the required disclosures and capture customer acknowledgment.

📘

Using disclosures

Refer to Showing disclosures to read more about this general disclosure process.

Step 2: Enabling the feature for an Account

An account can be enabled individually for Equities and for Mutual Funds.

This update can be made at the time of account opening or later by updating the account settings. All held securities will be eligible for reinvestment.

PATCH https://bo-api.drivewealth.io/accounts/{{accountID}}

{
    "accountFeatures": {
        "equities": {
            "dividendReinvestment": true,
            "capitalGainsReinvestment": true
        },
        "mutualFunds": {
            "dividendCapGainsReinvestment": true
        }
    }
}

Note that Equities support two fields: dividendReinvestment and capitalGainsReinvestment. The latter refers to corporate actions where a held ETF issues a dividend that is characterized as capital gains. This usually happens when the fund sells underlying holdings, and such dividends generally have different tax treatment. Although these two settings can be individually enabled, it is uncommon to directly give the customer this choice.

🚧

Cutoff time

Accounts must be enrolled into Dividend Reinvestment by 4:15pm ET. Any accounts not enabled before this time will not have that night's dividends reinvested.

Sample Events

Equities

An equities dividend is withheld immediately following the initial credit to reserve the cash for reinvestment which typically takes place around 5pm ET. Note that the dividend block in events includes a reinvestment boolean indicating whether or not a dividend will be withheld for reinvestment.

{
  "id": "event_adfd6cf5-a4f3-403a-bced-d57f233b3c8e",
  "type": "transactions.created",
  "timestamp": "2024-03-17T10:37:33.575429302Z",
  "payload": {
    "accountID": "1e2b6283-f447-487f-af11-e4ea91db330e.1756213969383",
    "accountNo": "ABQM000549",
    "userID": "1e2b6283-f447-487f-af11-e4ea91db330e",
    "transaction": {
      "accountAmount": 10.11,
      "accountBalance": 10.11,
      "comment": "SPYM dividend, $0.1941/share",
      "finTranID": "NC.17dfff33-dfc3-443a-8775-9358706498c2",
      "wlpFinTranTypeID": "1a195bfe-ab6b-4911-9b3b-baebda991f8d",
      "finTranTypeID": "DIV",
      "feeSec": 0,
      "feeTaf": 0,
      "feeBase": 0,
      "feeXtraShares": 0,
      "feeExchange": 0,
      "instrument": {
        "id": "db4f7d28-529e-4aec-8062-d9e008be0f8c",
        "symbol": "SPYM",
        "name": "State Street SPDR PortfolioS&P 500 ETF"
      },
      "dividend": {
        "type": "CASH",
        "amountPerShare": 0.1941,
        "taxCode": "FULLY_TAXABLE",
        "reinvestment": true
      }
    }
  }
}
{
  "id": "event_d1f7db71-9e02-48d5-8935-fd2a5652086a",
  "type": "transactions.created",
  "timestamp": "2024-03-17T10:37:37.330754306Z",
  "payload": {
    "accountID": "1e2b6283-f447-487f-af11-e4ea91db330e.1756213969383",
    "accountNo": "ABQM000549",
    "userID": "1e2b6283-f447-487f-af11-e4ea91db330e",
    "transaction": {
      "accountAmount": -10.11,
      "accountBalance": 0,
      "comment": "Withholding for reinvesting SPYM dividend, $0.1941/share",
      "finTranID": "NC.1b7be77e-cc80-49e9-a512-d8fa756253fd",
      "wlpFinTranTypeID": "6a195bfe-ab6b-4911-9b3b-baebda991f8d",
      "finTranTypeID": "DIV",
      "feeSec": 0,
      "feeTaf": 0,
      "feeBase": 0,
      "feeXtraShares": 0,
      "feeExchange": 0,
      "instrument": {
        "id": "db4f7d28-529e-4aec-8062-d9e008be0f8c",
        "symbol": "SPYM",
        "name": "State Street SPDR PortfolioS&P 500 ETF"
      },
      "dividend": {
        "type": "CASH_REVERSAL",
        "amountPerShare": 0.1941,
        "taxCode": "FULLY_TAXABLE",
        "reinvestment": true
      }
    }
  }
}
{
  "id": "event_1a01b523-1be7-4746-87db-e8be4cf0135b",
  "type": "transactions.created",
  "timestamp": "2024-03-17T21:11:02.893890129Z",
  "payload": {
    "accountID": "1e2b6283-f447-487f-af11-e4ea91db330e.1756213969383",
    "accountNo": "ABQM000549",
    "userID": "1e2b6283-f447-487f-af11-e4ea91db330e",
    "transaction": {
      "accountAmount": -10.11,
      "accountBalance": 0,
      "comment": "Reinvest 0.12813915 shares of SPYM at 78.8986 FULL FILL",
      "finTranID": "NC.1d6c356b-1464-482f-aa34-9c4f452f2c38",
      "wlpFinTranTypeID": "b4869e87-b916-418a-88ef-88a676d1ef10",
      "finTranTypeID": "RDIV",
      "feeSec": 0,
      "feeTaf": 0,
      "feeBase": 0,
      "feeXtraShares": 0,
      "feeExchange": 0,
      "positionDelta": 0.12813915,
      "instrument": {
        "id": "db4f7d28-529e-4aec-8062-d9e008be0f8c",
        "symbol": "SPYM",
        "name": "State Street SPDR PortfolioS&P 500 ETF"
      },
      "dividendReinvest": {
        "type": "EQUITY_DIVIDEND_REINVESTMENT",
        "pricePerShare": 78.8986,
        "shares": 0.12813915,
        "orderID": "NC.2228803e-b943-49b3-b313-76fa7752de09"
      }
    }
  }
}

Mutual Funds

A mutual fund reinvestment doesn't involve a dividend reversal. Although the reinvestment is still coded as a RDIV transaction, an orders event will be triggered instead.

{
  "id": "event_9ffeb259-848f-47c2-be37-422a6d939cfd",
  "type": "transactions.created",
  "timestamp": "2024-03-17T10:30:59.345898447Z",
  "payload": {
    "accountID": "1af6a33f-a5fd-4b1a-b443-e260ec156cd9.1740020242275",
    "accountNo": "HIQD000349",
    "userID": "1af6a33f-a5fd-4b1a-b443-e260ec156cd9",
    "transaction": {
      "accountAmount": 377.16,
      "accountBalance": 0,
      "comment": "RWIGX dividend, $0.26/share",
      "finTranID": "NC.231c3cbd-3e7e-4d53-a098-54838ec85c4b",
      "wlpFinTranTypeID": "1a195bfe-ab6b-4911-9b3b-baebda991f8d",
      "finTranTypeID": "DIV",
      "feeSec": 0,
      "feeTaf": 0,
      "feeBase": 0,
      "feeXtraShares": 0,
      "feeExchange": 0,
      "instrument": {
        "id": "9c9f5747-89af-4103-a512-b62bca439b5d",
        "symbol": "RWIGX",
        "name": "American Funds Capital World Gr&Inc R6"
      },
      "dividend": {
        "type": "CASH",
        "amountPerShare": 0.26,
        "taxCode": "FULLY_TAXABLE"
      }
    }
  }
}
{
  "id": "event_1cd7b388-139f-4a98-8303-d4d3c366ec0a",
  "type": "orders.completed",
  "timestamp": "2024-03-17T06:32:01.710874245Z",
  "payload": {
    "id": "NC.16728e1d-996b-4e20-a8d8-af8a9ca90745",
    "orderNo": "MCXB184783",
    "type": "MARKET",
    "side": "BUY",
    "status": "FILLED",
    "symbol": "RWIGX",
    "averagePrice": 72.05,
    "averagePriceRaw": 72.04,
    "totalOrderAmount": 377.16,
    "cumulativeQuantity": 5.235,
    "quantity": 5.235,
    "amountCash": 377.16,
    "fees": 0,
    "orderNotes": "INTE STOCK movement / adjustment    tradeSideB  accno=ABQD000349  qty1=5.235  price=72.04  grossAmt=377.16  INTE#=4185319038.000000  symbol=RWIGX  INTEStatus=R  descr=Reinvest 5.235 shares of RWIGX at 72.04  ACATSind=",
    "createdBy": "7af6a33f-a5fd-4b1a-b443-e260ec156cd9",
    "userID": "1af6a33f-a5fd-4b1a-b443-e260ec156cd9",
    "accountID": "1af6a33f-a5fd-4b1a-b443-e260ec156cd9.1740020242275",
    "accountNo": "ABQD000349",
    "created": "2024-03-17T06:32:01.535Z",
    "lastExecuted": "2024-03-17T06:32:01.534Z",
    "extendedHours": false,
    "preventQueuing": false,
    "executionInstructions": [],
    "lastPrice": 72.04,
    "lastShares": 5.235,
    "lastMarket": "mpid"
  }
}

Working with Dividend Reinvestment in Cashless accounts

In Cashless accounts, it is common for partners to use the publishing of dividend events to expect funds to be withdrawn automatically out of the brokerage account. However, for customers with Dividend Reinvestment enabled, these funds will be used to purchase the security, so no resulting fund movement should take place.

Ensure that you are reviewing the dividend.reinvestment boolean discussed in the example events above to determine how to handle newly paid dividends.